import { jsx } from "react/jsx-runtime";
import { TokenGG as TokenGG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGG = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GG", "data-name": "TokenGG", ...props, children: /* @__PURE__ */ jsx(TokenGG$1, { variant }) });
  }
);
TokenGG.displayName = "TokenGG";
Object.assign(TokenGG, { isGdsIcon: true });
export {
  TokenGG
};
